Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class LocalContentStream

    java.lang.Object
      oracle.ifs.common.LocalContentStream

All Implemented Interfaces:
  java.io.Serializable, ContentStreamSerializer

    public final class LocalContentStream

extends java.lang.Object
implements ContentStreamSerializer

The default implementation of ContentStreamSerializer.

See Also:
  Serialized Form
(Unpublished)

Field Summary

Fields inherited from interface oracle.ifs.common.ContentStreamSerializer
`CONTENTTYPE_CONTENTROWREF, CONTENTTYPE_COPIEDCONTENT, CONTENTTYPE_EMPTY, CONTENTTYPE_PATH, CONTENTTYPE_READER, CONTENTTYPE_REFERENCE, CONTENTTYPE_SHAREDCONTENT, CONTENTTYPE_STREAM, CONTENTTYPE_STRING, CONTENTTYPE_UNKNOWN`

Constructor Summary
`LocalContentStream()` Constructs a LocalContentStream.

Method Summary
`java.io.Reader` | `getContentReader()` Get the content as a reader.
`java.lang.String` | `getContentReference()` Gets the content as a string reference that is interpreted by the Media instance.
`java.lang.Long` | `getContentRowReference()` Get the content as a content row ID reference.
`java.io.InputStream` | `getContentStream()` Get the content as a stream.
`java.lang.String` | `getContentString()` Get the content as an explicit String.
`int` | `getContentType()` Get the content type.
`AttributeValue` | `getCopiedContent()` Get the content as an AttributeValue reference to another ContentObject.
`java.lang.String` | `getLocalContentPath()` Get the content as a path to a file in the local file system.
`AttributeValue` | `getSharedContent()` Get the content as an AttributeValue reference to another ContentObject.
`void` | `setContentReader(java.io.Reader content)` Set the content as a Reader.
`void` | `setContentReference(LibrarySessionInterface session, java.lang.String contentReference)` Sets the content as a string reference that is interpreted by the Media instance.
`void` | `setContentRowReference(LibrarySessionInterface session, java.lang.Long content)` Set the content as a content row ID reference.
`void` | `setContentStream(java.io.InputStream content)` Set the content as a stream.
`void` | `setContentString(java.lang.String content)` Set the content as an explicit String.
`void` | `setCopiedContent(AttributeValue content)` Set the content as an AttributeValue reference to another ContentObject.
`void` | `setEmptyContent()` Set the content explicitly as "empty content".
`void` | `setLocalContentPath(java.lang.String path)` Set the content as a path to a file in the local file system.
`void` | `setSharedContent(AttributeValue content)` Set the content as an AttributeValue reference to another ContentObject.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalContentStream

    public LocalContentStream()

  Constructs a LocalContentStream.

  The initial content type is `CONTENTTYPE_UNKNOWN`

  (Unpublished)

Method Detail

### getContentType

    public int getContentType()

  Description copied from class: `LocalContentStream`
  Get the content type.

  Must be one of the valid Content type constants defined in this interface.

  Specified by:
    `getContentType` in interface `ContentStreamSerializer`
  Returns:
    the content type

### setEmptyContent

    public void setEmptyContent()

  Description copied from class: `LocalContentStream`
  Set the content explicitly as "empty content".

  Specified by:
    `setEmptyContent` in interface `ContentStreamSerializer`

### getContentStream

    public java.io.InputStream getContentStream()
                                         throws IfsException

  Description copied from class: `LocalContentStream`
  Get the content as a stream.

  Specified by:
    `getContentStream` in interface `ContentStreamSerializer`
  Returns:
    the content as a stream
  Throws:
    `IfsException`

### setContentStream

    public void setContentStream(java.io.InputStream content)

  Description copied from class: `LocalContentStream`
  Set the content as a stream.

  Specified by:
    `setContentStream` in interface `ContentStreamSerializer`
  Parameters:
    `content` - the content as a stream

### getContentReader

    public java.io.Reader getContentReader()

  Description copied from class: `LocalContentStream`
  Get the content as a reader.

  Specified by:
    `getContentReader` in interface `ContentStreamSerializer`
  Returns:
    the content as a reader

### setContentReader

    public void setContentReader(java.io.Reader content)

  Description copied from class: `LocalContentStream`
  Set the content as a Reader.

  Specified by:
    `setContentReader` in interface `ContentStreamSerializer`
  Parameters:
    `content` - the content as a Reader

### getContentString

    public java.lang.String getContentString()

  Description copied from class: `LocalContentStream`
  Get the content as an explicit String.

  Specified by:
    `getContentString` in interface `ContentStreamSerializer`
  Returns:
    the content as a String

### setContentString

    public void setContentString(java.lang.String content)
                          throws IfsException

  Description copied from class: `LocalContentStream`
  Set the content as an explicit String.

  Specified by:
    `setContentString` in interface `ContentStreamSerializer`
  Parameters:
    `content` - the content as a String
  Throws:
    `IfsException`

### getLocalContentPath

    public java.lang.String getLocalContentPath()

  Description copied from class: `LocalContentStream`
  Get the content as a path to a file in the local file system.

  Specified by:
    `getLocalContentPath` in interface `ContentStreamSerializer`
  Returns:
    the content as a local file path

### setLocalContentPath

    public void setLocalContentPath(java.lang.String path)
                             throws IfsException

  Description copied from class: `LocalContentStream`
  Set the content as a path to a file in the local file system.

  Specified by:
    `setLocalContentPath` in interface `ContentStreamSerializer`
  Parameters:
    `path` - the content as a local file path
  Throws:
    `IfsException`

### getCopiedContent

    public AttributeValue getCopiedContent()

  Description copied from class: `LocalContentStream`
  Get the content as an AttributeValue reference to another ContentObject.

  Specified by:
    `getCopiedContent` in interface `ContentStreamSerializer`
  Returns:
    the content as ContentObject value

### setCopiedContent

    public void setCopiedContent(AttributeValue content)

  Description copied from class: `LocalContentStream`
  Set the content as an AttributeValue reference to another ContentObject.

  Specified by:
    `setCopiedContent` in interface `ContentStreamSerializer`
  Parameters:
    `content` - the content as ContentObject value

### getSharedContent

    public AttributeValue getSharedContent()

  Description copied from class: `LocalContentStream`
  Get the content as an AttributeValue reference to another ContentObject.

  Specified by:
    `getSharedContent` in interface `ContentStreamSerializer`
  Returns:
    the content as ContentObject value

### setSharedContent

    public void setSharedContent(AttributeValue content)

  Description copied from class: `LocalContentStream`
  Set the content as an AttributeValue reference to another ContentObject.

  Specified by:
    `setSharedContent` in interface `ContentStreamSerializer`
  Parameters:
    `content` - the content as ContentObject value

### getContentRowReference

    public java.lang.Long getContentRowReference()

  Description copied from class: `LocalContentStream`
  Get the content as a content row ID reference.

  Specified by:
    `getContentRowReference` in interface `ContentStreamSerializer`
  Returns:
    the content as a content row ID reference.

### setContentRowReference

    public void setContentRowReference(LibrarySessionInterface session,
                                       java.lang.Long content)
                                throws IfsException

  Description copied from class: `LocalContentStream`
  Set the content as a content row ID reference.

  This operation requires administration mode.

  Specified by:
    `setContentRowReference` in interface `ContentStreamSerializer`
  Parameters:
    `session` - a session; must be in admin mode
    `content` - the content as a content row ID reference.
  Throws:
    `IfsException`

### getContentReference

    public java.lang.String getContentReference()
                                         throws IfsException

  Description copied from class: `LocalContentStream`
  Gets the content as a string reference that is interpreted by the Media instance.

  Specified by:
    `getContentReference` in interface `ContentStreamSerializer`
  Returns:
    the content reference
  Throws:
    `IfsException` - if the operation fails

### setContentReference

    public void setContentReference(LibrarySessionInterface session,
                                    java.lang.String contentReference)
                             throws IfsException

  Description copied from class: `LocalContentStream`
  Sets the content as a string reference that is interpreted by the Media instance.

  This operation requires administration mode.

  Specified by:
    `setContentReference` in interface `ContentStreamSerializer`
  Parameters:
    `session` - a session; must be in admin mode
    `contentReference` - the content reference
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD